CTestPluginHandlerImpl Class Reference

Class to test plugin handling. More...

`#include <mia/core/testplugin.hh>`

Inheritance diagram for CTestPluginHandlerImpl:
[legend]
Collaboration diagram for CTestPluginHandlerImpl:
[legend]

## Public Member Functions

CTestPlugin * | get_plugin (const char *name) const
Public Member Functions inherited from TPluginHandler< CTestPlugin >
bool | add_plugin (PInterface plugin)
const_iterator | begin () const
const_iterator | end () const
const std::string | get_plugin_names () const
const std::set< std::string > | get_set () const
size_t | size () const
virtual | ~TPluginHandler ()
Public Member Functions inherited from CPluginHandlerBase
void | add_dependend_handlers (HandlerHelpMap &handler_map) const
| CPluginHandlerBase (const char *data_descr, const char *type_descr)
| CPluginHandlerBase (const CPluginHandlerBase &other)=delete
const std::string & | get_descriptor () const
std::string | get_handler_type_string () const
void | get_string_help_description_xml (std::ostream &os, CXMLElement &root) const
void | get_xml_help (CXMLElement &root) const
CPluginHandlerBase & | operator= (const CPluginHandlerBase &other)=delete
void | print_help (std::ostream &os) const
void | print_short_help (std::ostream &os) const
bool | validate_parameter_string (const std::string &s) const
virtual | ~CPluginHandlerBase ()

## Protected Member Functions

| CTestPluginHandlerImpl ()
Protected Member Functions inherited from TPluginHandler< CTestPlugin >
void | add_plugin_internal (PInterface plugin)
| TPluginHandler ()
| Initializes the plugin handler based on the build-in search path.
TPluginHandler< CTestPlugin >::Interface * | plugin (const char *plugin) const
void | initialise (const CPluginSearchpath &searchpath)

## Additional Inherited Members

Public Types inherited from TPluginHandler< CTestPlugin >
typedef CPluginMap::const_iterator | const_iterator
| the iterator to walk over the available plug-ins
typedef std::map< std::string, PInterface > | CPluginMap
| a map containing the names and the available plug-ins
typedef CTestPlugin | Interface
| typedef for the plug-in interface provided by the class
typedef std::shared_ptr< CTestPlugin > | PInterface

## Detailed Description

Class to test plugin handling.

Definition at line 62 of file testplugin.hh.

## Constructor & Destructor Documentation

## CTestPluginHandlerImpl()

CTestPluginHandlerImpl::CTestPluginHandlerImpl | ( |  | ) |

protected

Constructor to use a specialized search path

## Member Function Documentation

## get_plugin()

CTestPlugin * CTestPluginHandlerImpl::get_plugin | ( | const char * | name | ) | const

Public version of the TPluginHandler::plugin function to be used for testing

Parameters

  name | name of the requested plug-in

Returns
  the plugin if found, or NULL

The documentation for this class was generated from the following file:

- testplugin.hh